/* Include files */

#include "BLDC_equals_vector_sfun.h"
#include "BLDC_equals_vector_sfun_debug_macros.h"
#include "c6_BLDC_equals_vector.h"
#include "c7_BLDC_equals_vector.h"
#include "c8_BLDC_equals_vector.h"
#include "c9_BLDC_equals_vector.h"
#include "c10_BLDC_equals_vector.h"
#include "c15_BLDC_equals_vector.h"
#include "c16_BLDC_equals_vector.h"
#include "c17_BLDC_equals_vector.h"
#include "c18_BLDC_equals_vector.h"
#include "c19_BLDC_equals_vector.h"
#include "c20_BLDC_equals_vector.h"
#include "c21_BLDC_equals_vector.h"

/* Type Definitions */

/* Named Constants */

/* Variable Declarations */

/* Variable Definitions */
uint32_T _BLDC_equals_vectorMachineNumber_;

/* Function Declarations */

/* Function Definitions */
void BLDC_equals_vector_initializer(void)
{
}

void BLDC_equals_vector_terminator(void)
{
}

/* SFunction Glue Code */
unsigned int sf_BLDC_equals_vector_method_dispatcher(SimStruct *simstructPtr,
  unsigned int chartFileNumber, const char* specsCksum, int_T method, void *data)
{
  if (chartFileNumber==6) {
    c6_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==7) {
    c7_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==8) {
    c8_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==9) {
    c9_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==10) {
    c10_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==15) {
    c15_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==16) {
    c16_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==17) {
    c17_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==18) {
    c18_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==19) {
    c19_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==20) {
    c20_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==21) {
    c21_BLDC_equals_vector_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  return 0;
}

unsigned int sf_BLDC_equals_vector_process_check_sum_call( int nlhs, mxArray *
  plhs[], int nrhs, const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[20];
  if (nrhs<1 || !mxIsChar(prhs[0]) )
    return 0;

  /* Possible call to get the checksum */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"sf_get_check_sum"))
    return 0;
  plhs[0] = mxCreateDoubleMatrix( 1,4,mxREAL);
  if (nrhs>1 && mxIsChar(prhs[1])) {
    mxGetString(prhs[1], commandName,sizeof(commandName)/sizeof(char));
    commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
    if (!strcmp(commandName,"machine")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(633469092U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(2343215566U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(4267704348U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(1563930716U);
    } else if (!strcmp(commandName,"exportedFcn")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(0U);
    } else if (!strcmp(commandName,"makefile")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(2450813572U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(2945050758U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(1502391604U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(93728905U);
    } else if (nrhs==3 && !strcmp(commandName,"chart")) {
      unsigned int chartFileNumber;
      chartFileNumber = (unsigned int)mxGetScalar(prhs[2]);
      switch (chartFileNumber) {
       case 6:
        {
          extern void sf_c6_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c6_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 7:
        {
          extern void sf_c7_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c7_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 8:
        {
          extern void sf_c8_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c8_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 9:
        {
          extern void sf_c9_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c9_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 10:
        {
          extern void sf_c10_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c10_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 15:
        {
          extern void sf_c15_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c15_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 16:
        {
          extern void sf_c16_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c16_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 17:
        {
          extern void sf_c17_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c17_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 18:
        {
          extern void sf_c18_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c18_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 19:
        {
          extern void sf_c19_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c19_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 20:
        {
          extern void sf_c20_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c20_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       case 21:
        {
          extern void sf_c21_BLDC_equals_vector_get_check_sum(mxArray *plhs[]);
          sf_c21_BLDC_equals_vector_get_check_sum(plhs);
          break;
        }

       default:
        ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(0.0);
      }
    } else if (!strcmp(commandName,"target")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(3031367619U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(4001028638U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(3978939492U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(838979348U);
    } else {
      return 0;
    }
  } else {
    ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(1135691956U);
    ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(1889686520U);
    ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(2283969118U);
    ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(1647357478U);
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_BLDC_equals_vector_autoinheritance_info( int nlhs, mxArray *
  plhs[], int nrhs, const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[32];
  char aiChksum[64];
  if (nrhs<3 || !mxIsChar(prhs[0]) )
    return 0;

  /* Possible call to get the autoinheritance_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_autoinheritance_info"))
    return 0;
  mxGetString(prhs[2], aiChksum,sizeof(aiChksum)/sizeof(char));
  aiChksum[(sizeof(aiChksum)/sizeof(char)-1)] = '\0';

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 6:
      {
        if (strcmp(aiChksum, "OuekeB742BGI2goyCYJDBC") == 0) {
          extern mxArray *sf_c6_BLDC_equals_vector_get_autoinheritance_info(void);
          plhs[0] = sf_c6_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 7:
      {
        if (strcmp(aiChksum, "8xbqkIE8MSA17ZhKSAJf9B") == 0) {
          extern mxArray *sf_c7_BLDC_equals_vector_get_autoinheritance_info(void);
          plhs[0] = sf_c7_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 8:
      {
        if (strcmp(aiChksum, "C0NfJYGmhKcrUbCnxjI6DE") == 0) {
          extern mxArray *sf_c8_BLDC_equals_vector_get_autoinheritance_info(void);
          plhs[0] = sf_c8_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 9:
      {
        if (strcmp(aiChksum, "7SKnsoSn5Pp59Lwrb7tQlC") == 0) {
          extern mxArray *sf_c9_BLDC_equals_vector_get_autoinheritance_info(void);
          plhs[0] = sf_c9_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 10:
      {
        if (strcmp(aiChksum, "YCcueZh1jrKcF3mIRxfhJG") == 0) {
          extern mxArray *sf_c10_BLDC_equals_vector_get_autoinheritance_info
            (void);
          plhs[0] = sf_c10_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 15:
      {
        if (strcmp(aiChksum, "n1OP3uKdtuVCQEiH0MkJVD") == 0) {
          extern mxArray *sf_c15_BLDC_equals_vector_get_autoinheritance_info
            (void);
          plhs[0] = sf_c15_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 16:
      {
        if (strcmp(aiChksum, "vABy9XOkwBbe4knGkFulhH") == 0) {
          extern mxArray *sf_c16_BLDC_equals_vector_get_autoinheritance_info
            (void);
          plhs[0] = sf_c16_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 17:
      {
        if (strcmp(aiChksum, "XJg0aGQpJnVBmijIEoToAE") == 0) {
          extern mxArray *sf_c17_BLDC_equals_vector_get_autoinheritance_info
            (void);
          plhs[0] = sf_c17_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 18:
      {
        if (strcmp(aiChksum, "GtjETBCSOS7faRRIhs5rr") == 0) {
          extern mxArray *sf_c18_BLDC_equals_vector_get_autoinheritance_info
            (void);
          plhs[0] = sf_c18_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 19:
      {
        if (strcmp(aiChksum, "uRyFC6PXaop0s5i3vgYAZC") == 0) {
          extern mxArray *sf_c19_BLDC_equals_vector_get_autoinheritance_info
            (void);
          plhs[0] = sf_c19_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 20:
      {
        if (strcmp(aiChksum, "xQjObFbPMO11fSkRJGITzB") == 0) {
          extern mxArray *sf_c20_BLDC_equals_vector_get_autoinheritance_info
            (void);
          plhs[0] = sf_c20_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 21:
      {
        if (strcmp(aiChksum, "rXDTIFi7bQ7oxung0EpgvG") == 0) {
          extern mxArray *sf_c21_BLDC_equals_vector_get_autoinheritance_info
            (void);
          plhs[0] = sf_c21_BLDC_equals_vector_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_BLDC_equals_vector_get_eml_resolved_functions_info( int nlhs,
  mxArray * plhs[], int nrhs, const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[64];
  if (nrhs<2 || !mxIsChar(prhs[0]))
    return 0;

  /* Possible call to get the get_eml_resolved_functions_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_eml_resolved_functions_info"))
    return 0;

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 6:
      {
        extern const mxArray
          *sf_c6_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c6_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 7:
      {
        extern const mxArray
          *sf_c7_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c7_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 8:
      {
        extern const mxArray
          *sf_c8_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c8_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 9:
      {
        extern const mxArray
          *sf_c9_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c9_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 10:
      {
        extern const mxArray
          *sf_c10_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c10_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 15:
      {
        extern const mxArray
          *sf_c15_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c15_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 16:
      {
        extern const mxArray
          *sf_c16_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c16_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 17:
      {
        extern const mxArray
          *sf_c17_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c17_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 18:
      {
        extern const mxArray
          *sf_c18_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c18_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 19:
      {
        extern const mxArray
          *sf_c19_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c19_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 20:
      {
        extern const mxArray
          *sf_c20_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c20_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 21:
      {
        extern const mxArray
          *sf_c21_BLDC_equals_vector_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c21_BLDC_equals_vector_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_BLDC_equals_vector_third_party_uses_info( int nlhs, mxArray *
  plhs[], int nrhs, const mxArray * prhs[] )
{
  char commandName[64];
  char tpChksum[64];
  if (nrhs<3 || !mxIsChar(prhs[0]))
    return 0;

  /* Possible call to get the third_party_uses_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  mxGetString(prhs[2], tpChksum,sizeof(tpChksum)/sizeof(char));
  tpChksum[(sizeof(tpChksum)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_third_party_uses_info"))
    return 0;

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 6:
      {
        if (strcmp(tpChksum, "jJDcVxiwu0epZtR7O8HLaB") == 0) {
          extern mxArray *sf_c6_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c6_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 7:
      {
        if (strcmp(tpChksum, "UZ9jfPTvRiAWXWJztIZ6RG") == 0) {
          extern mxArray *sf_c7_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c7_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 8:
      {
        if (strcmp(tpChksum, "abpd8vW5A6T0aq1s3TmkmB") == 0) {
          extern mxArray *sf_c8_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c8_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 9:
      {
        if (strcmp(tpChksum, "48UNHXqKmbaNvAfNfkaUjF") == 0) {
          extern mxArray *sf_c9_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c9_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 10:
      {
        if (strcmp(tpChksum, "xDqH9Ct7U4DK6b58ViYA3C") == 0) {
          extern mxArray *sf_c10_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c10_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 15:
      {
        if (strcmp(tpChksum, "3iOY05qk7M5oMZRdL2jQ5F") == 0) {
          extern mxArray *sf_c15_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c15_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 16:
      {
        if (strcmp(tpChksum, "f7Iz47dbSXiJMgzpuWKA6F") == 0) {
          extern mxArray *sf_c16_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c16_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 17:
      {
        if (strcmp(tpChksum, "JYM8Ui5BNPZbDvkAr6PB6F") == 0) {
          extern mxArray *sf_c17_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c17_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 18:
      {
        if (strcmp(tpChksum, "kP89DklTqOUDYjjEnvpzM") == 0) {
          extern mxArray *sf_c18_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c18_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 19:
      {
        if (strcmp(tpChksum, "wBS6bt994UfbDbKrahpaC") == 0) {
          extern mxArray *sf_c19_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c19_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 20:
      {
        if (strcmp(tpChksum, "1tXDvi0gvedvaCzSSSCl0E") == 0) {
          extern mxArray *sf_c20_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c20_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     case 21:
      {
        if (strcmp(tpChksum, "KeCoYFdWgPp0ekAs2QFETD") == 0) {
          extern mxArray *sf_c21_BLDC_equals_vector_third_party_uses_info(void);
          plhs[0] = sf_c21_BLDC_equals_vector_third_party_uses_info();
          break;
        }
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;
}

unsigned int sf_BLDC_equals_vector_updateBuildInfo_args_info( int nlhs, mxArray *
  plhs[], int nrhs, const mxArray * prhs[] )
{
  char commandName[64];
  char tpChksum[64];
  if (nrhs<3 || !mxIsChar(prhs[0]))
    return 0;

  /* Possible call to get the updateBuildInfo_args_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  mxGetString(prhs[2], tpChksum,sizeof(tpChksum)/sizeof(char));
  tpChksum[(sizeof(tpChksum)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_updateBuildInfo_args_info"))
    return 0;

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 6:
      {
        if (strcmp(tpChksum, "jJDcVxiwu0epZtR7O8HLaB") == 0) {
          extern mxArray *sf_c6_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c6_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 7:
      {
        if (strcmp(tpChksum, "UZ9jfPTvRiAWXWJztIZ6RG") == 0) {
          extern mxArray *sf_c7_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c7_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 8:
      {
        if (strcmp(tpChksum, "abpd8vW5A6T0aq1s3TmkmB") == 0) {
          extern mxArray *sf_c8_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c8_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 9:
      {
        if (strcmp(tpChksum, "48UNHXqKmbaNvAfNfkaUjF") == 0) {
          extern mxArray *sf_c9_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c9_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 10:
      {
        if (strcmp(tpChksum, "xDqH9Ct7U4DK6b58ViYA3C") == 0) {
          extern mxArray *sf_c10_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c10_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 15:
      {
        if (strcmp(tpChksum, "3iOY05qk7M5oMZRdL2jQ5F") == 0) {
          extern mxArray *sf_c15_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c15_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 16:
      {
        if (strcmp(tpChksum, "f7Iz47dbSXiJMgzpuWKA6F") == 0) {
          extern mxArray *sf_c16_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c16_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 17:
      {
        if (strcmp(tpChksum, "JYM8Ui5BNPZbDvkAr6PB6F") == 0) {
          extern mxArray *sf_c17_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c17_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 18:
      {
        if (strcmp(tpChksum, "kP89DklTqOUDYjjEnvpzM") == 0) {
          extern mxArray *sf_c18_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c18_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 19:
      {
        if (strcmp(tpChksum, "wBS6bt994UfbDbKrahpaC") == 0) {
          extern mxArray *sf_c19_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c19_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 20:
      {
        if (strcmp(tpChksum, "1tXDvi0gvedvaCzSSSCl0E") == 0) {
          extern mxArray *sf_c20_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c20_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     case 21:
      {
        if (strcmp(tpChksum, "KeCoYFdWgPp0ekAs2QFETD") == 0) {
          extern mxArray *sf_c21_BLDC_equals_vector_updateBuildInfo_args_info
            (void);
          plhs[0] = sf_c21_BLDC_equals_vector_updateBuildInfo_args_info();
          break;
        }
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;
}

void BLDC_equals_vector_debug_initialize(struct SfDebugInstanceStruct*
  debugInstance)
{
  _BLDC_equals_vectorMachineNumber_ = sf_debug_initialize_machine(debugInstance,
    "BLDC_equals_vector","sfun",0,12,0,0,0);
  sf_debug_set_machine_event_thresholds(debugInstance,
    _BLDC_equals_vectorMachineNumber_,0,0);
  sf_debug_set_machine_data_thresholds(debugInstance,
    _BLDC_equals_vectorMachineNumber_,0);
}

void BLDC_equals_vector_register_exported_symbols(SimStruct* S)
{
}

static mxArray* sRtwOptimizationInfoStruct= NULL;
mxArray* load_BLDC_equals_vector_optimization_info(void)
{
  if (sRtwOptimizationInfoStruct==NULL) {
    sRtwOptimizationInfoStruct = sf_load_rtw_optimization_info(
      "BLDC_equals_vector", "BLDC_equals_vector");
    mexMakeArrayPersistent(sRtwOptimizationInfoStruct);
  }

  return(sRtwOptimizationInfoStruct);
}

void unload_BLDC_equals_vector_optimization_info(void)
{
  if (sRtwOptimizationInfoStruct!=NULL) {
    mxDestroyArray(sRtwOptimizationInfoStruct);
    sRtwOptimizationInfoStruct = NULL;
  }
}
